<?

/* QuickDat 1.12 */
/* Freeware Copyright (C) 2002 by Philipp Lenssen */
/* http://outer-court.com/tech/quickdat.html */

$separator = "	";
$encodedSeparator = "-|-";
$encodedBreak = "-||-";

require_once("quickdat_misc.php");

$mode = getQuery("mode", "edit");
$path = getQuery("path");
$sortIndex = getQuery("sortIndex", 0);
$search = getQuery("search");
$askDeleteTable = getQuery("askDeleteTable");
$doDeleteTable = getQuery("doDeleteTable");
$editId = getQuery("editId");
$deleteId = getQuery("deleteId");
$rowId = getQuery("rowId");
$title = getQuery("title");
$newColumn1 = getQuery("newColumn1");
$newColumn2 = getQuery("newColumn2");
$newColumn3 = getQuery("newColumn3");
$newColumn4 = getQuery("newColumn4");
$newColumn5 = getQuery("newColumn5");
$newColumn6 = getQuery("newColumn6");
$newColumn7 = getQuery("newColumn7");
$newColumn8 = getQuery("newColumn8");
$newColumn9 = getQuery("newColumn9");
$newColumn10 = getQuery("newColumn10");

main();

function main()
{
    global $mode;
    global $path;
    global $doDeleteTable;
    global $search;

    if ($mode == "addTable")
    {
        addTable();
        $mode = "";
    }
    
    if ($doDeleteTable != "")
    {
        deleteTable($doDeleteTable);
    }

    if ($path == "")
    {
        writeHtmlHeader("", $search != "");
        offerData();
        offerAddTable();
        $foundSearchInCalendar = offerPapers();
        offerCalendarLink($foundSearchInCalendar);
        echo "<div class=\"calendarLink\"><a href=\"time.php\">";
        echo "<img src=\"style/time.gif\" alt=\"\" />&nbsp;Time Zones</a></div>";
        writeHtmlFooter();
    }
    else
    {
        handleData($mode, $path);
    }
}

function offerCalendarLink($foundSearchInCalendar)
{
    global $search;

    $sClass = "";
    $sParam = "";
    if ($foundSearchInCalendar)
    {
        $sClass = " class=\"found\"";
        $sParam = "?search=" . $search;
    }

    echo "<div class=\"calendarLink\">";
    echo "<a" . $sClass . " href=\"calendar.php" . $sParam . "\">";
    echo "<img src=\"style/calendar.gif\" alt=\"\" />&nbsp;Calendar</a></div>";
}

?>